"""vacancy_api URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
#from django.contrib import admin
import os
from django.conf import settings
from django.contrib.staticfiles.urls import static
from django.urls import include, path
from django.views.generic import TemplateView

urlpatterns = [
    path('building/', include('building.urls')),
    path('company/', include('company.urls')),
    path('data_link/', include('data_link.urls')),
    path('documents/', include('documents.urls')),
    path('master/', include('master.urls')),
    path('room/', include('room.urls')),
    path('search/', include('search.urls')),
    path('', TemplateView.as_view(template_name='root/index.html'), name='index'),
]

urlpatterns += static(settings.MEDIA_URL + 'public/', document_root=os.path.join(settings.MEDIA_ROOT, 'public'))
